Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.beanbox
Class FileExtension

    java.lang.Object
      com.bbn.openmap.tools.beanbox.FileExtension

All Implemented Interfaces:
  java.io.FilenameFilter

public class FileExtension
extends java.lang.Object
implements java.io.FilenameFilter

File filter utility class. Used by the BeanPanel.

Constructor Summary
`FileExtension(java.lang.String ext)` Constructor taking a file extension as argument.

Method Summary
`boolean` | `accept(java.io.File dir, java.lang.String name)` Accept file name if it has the stored extension.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileExtension

    public FileExtension(java.lang.String ext)

  Constructor taking a file extension as argument.

Method Detail

### accept

    public boolean accept(java.io.File dir,
                          java.lang.String name)

  Accept file name if it has the stored extension.

  Specified by:
    `accept` in interface `java.io.FilenameFilter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details